Haz tu Pregunta
0

no consigo db4o-devel para fedora 20

preguntado 2014-02-14 07:29:32 -0500

Imagen Gravatar de L337

updated 2014-04-21 10:17:10 -0500

Imagen Gravatar de remjg

existe algun problema si la instalo pero su version para fedora 18, es que no consigo esa libreria y la necesito.. alguien sabe que pasa si se instala un paquete con otra version de fedora?

el paquete es para arquitectura 32 bit y yo uso 64bit

edit re-etiquetar marcar como ofensivo cerrar fusionar delete

Comments

Debe funcionar sin inconveniente.

Imagen Gravatar de aeperezt aeperezt ( 2014-02-14 09:33:10 -0500 )edit

vos podes construir el rpm si tenes ya instalado todo lo necesario para empaquetar, wget -c http://olea.org/paquetes-rpm/fedora-18/db4o-8.0-1.fc18.src.rpm && rpmbuild --rebuild db4o-8.0-1.fc18.src.rpm

Imagen Gravatar de davidva davidva ( 2014-02-14 11:37:09 -0500 )edit

Aun si es es para 32bits el único detalle es que te instalara mas dependencias para 32 bits. Por ejemplo Skype para Linux no tiene soporte para 64 bits sin embargo al instalarse descarga las librerías requeridas de 32bits y funciona en 64bits, ademas el paquete es para Fedora 16.

Imagen Gravatar de aeperezt aeperezt ( 2014-02-15 18:49:33 -0500 )edit

1 Responder

Ordenar por » viejos nuevas más votado
0

respondido 2014-05-22 12:49:18 -0500

Imagen Gravatar de elsupergomez

Lo mas probable es que ande correctamente, a menos que tenga dependencias a paquetes que hayan tenido cambios en su api en las nuevas versiones.

En el peor de los casos no te va a instalar y tenes que probar hacer un rpmbuild --rebuild desde el src.rpm como bien indico davidva en su comentario.

Al igual que el comentario de aeperez, responde a tu pregunta sobre 32 bits y 64 bits. Si realizas el rebuild del srpm te va a generar el paquete correspondiente a tu arquitectura y listo.

edit marcar como ofensivo delete enlace mas

Herramientas de Preguntas

1 seguidor

Estadisticas

Preguntado: 2014-02-14 07:29:32 -0500

Visto: 76 veces

Ultima actualización: May 22 '14